This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477557 - FutureFeature: New Suspend policy
FutureFeature: New Suspend policy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 17:48 EST by Alexey Kuznetsov
Modified: 2009-12-18 02:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:21:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Kuznetsov 2008-12-21 17:48:48 EST
I tried to put my idea to forum and to devil list, now i understand my mistakes. And by https://fedoraproject.org/wiki/BugsAndFeatureRequests page i probably find good place to report.

I suggest to change priority to user command suspend under automatic suspend procedure.

Current suspend policy prevent do normal mobile work. I suggest for fedora 11 change suspend policy to new one.

For now some important applications like torrents, or update process prevent going machine to suspend. Which ok for standalone PC and destructible for notebooks. Because in most case when you close your laptop you forgot to check what is really happens with OS. In some bad case notebook can overheat or you can damadge it when transporting.

I suggest ignore special application flang which prevent suspending for any user suspending command like closing laptop, pressing suspending key, pressing powerbutton, or choising gnome-icon/suspend. That special flag should only prevent automatic suspending by idle or other system events.

Thanks for reading. 


Here is two old places:
- https://www.redhat.com/archives/fedora-devel-list/2008-December/msg02522.html
- http://forums.fedoraforum.org/showthread.php?t=208426
Comment 1 Bug Zapper 2009-11-18 05:32:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:21:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.